List invocable tools
curl --request GET \
--url https://stefanbrain.com/api/developers/v1/tools \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stefanbrain.com/api/developers/v1/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://stefanbrain.com/api/developers/v1/tools"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "tool_list",
"tools": [
{
"object": "tool",
"name": "<string>",
"description": "<string>",
"input_schema": {},
"kind": "sync",
"cost_class": "<string>",
"job_family": "<string>",
"output_schema": {},
"family": "<string>",
"side_effect_level": "<string>"
}
]
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"code": "<string>"
}
}List invocable tools
List invocable tools
curl --request GET \
--url https://stefanbrain.com/api/developers/v1/tools \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stefanbrain.com/api/developers/v1/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://stefanbrain.com/api/developers/v1/tools"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "tool_list",
"tools": [
{
"object": "tool",
"name": "<string>",
"description": "<string>",
"input_schema": {},
"kind": "sync",
"cost_class": "<string>",
"job_family": "<string>",
"output_schema": {},
"family": "<string>",
"side_effect_level": "<string>"
}
]
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"code": "<string>"
}
}
